Skip to content
FLORA DocsGo to app

Start an action run

POST/runs/action

Starts a headless prebuilt action run using raw action slugs such as rotate-image, workspace_id, project_id, and non-empty inputs. Direct action runs do not create or mutate canvas nodes. Mutating public API requests support an optional Idempotency-Key header for client retries; duplicate keys within two hours return idempotency_duplicate.

Body ParametersJSONExpand Collapse
body: object { action_id, inputs, project_id, 2 more } or object { action_id, inputs, project_id, 2 more } or object { action_id, inputs, project_id, 2 more } or 37 more
One of the following:
object { action_id, inputs, project_id, 2 more }
action_id: "color-grade-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { advanced, brightness, contrast, 7 more }

Action parameters

advanced: optional boolean

Show additional controls

brightness: optional number

Brightness

minimum0.5
maximum1.5
contrast: optional number

Contrast

minimum0.5
maximum2
highlights: optional number

Highlights

minimum-1
maximum1
hue_shift: optional number

Hue Shift (deg)

minimum-180
maximum180
saturation: optional number

Saturation

minimum0
maximum2
shadows: optional number

Shadows

minimum-1
maximum1
show_scope: optional boolean

Show Color Scope in preview

tint: optional number

Tint (Green-Magenta)

minimum-1
maximum1
warmth: optional number

Warmth

minimum-0.5
maximum0.5
object { action_id, inputs, project_id, 2 more }
action_id: "overlay-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { blend, center, opacity, 2 more }

Action parameters

blend: optional "normal" or "multiply" or "screen" or 2 more

Blend

One of the following:
"normal"
"multiply"
"screen"
"overlay"
"soft-light"
center: optional object { x, y }

Center

x: number
minimum0
maximum1
y: number
minimum0
maximum1
opacity: optional number

Opacity

minimum0
maximum1
rotation: optional number

Rotation (deg)

minimum-180
maximum180
size: optional object { x, y }

Size

x: number
minimum0.01
maximum1
y: number
minimum0.01
maximum1
object { action_id, inputs, project_id, 2 more }
action_id: "draw-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { color, erase, size }

Action parameters

color: optional string

Brush color

erase: optional boolean

Erase

size: optional number

Brush size

minimum1
maximum64
object { action_id, inputs, project_id, 2 more }
action_id: "crop-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { center, lock_aspect, rotation, size }

Action parameters

center: optional object { x, y }

Center

x: number
minimum0
maximum1
y: number
minimum0
maximum1
lock_aspect: optional boolean

Lock ratio

rotation: optional number

Rotation (deg)

minimum-180
maximum180
size: optional object { x, y }

Size

x: number
minimum0.02
maximum1
y: number
minimum0.02
maximum1
object { action_id, inputs, project_id, 2 more }
action_id: "scene-3d-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { aspect_ratio, background, color, 6 more }

Action parameters

aspect_ratio: optional "1:1" or "16:9" or "9:16" or 2 more

Aspect Ratio

One of the following:
"1:1"
"16:9"
"9:16"
"4:3"
"3:4"
background: optional string

Background Color

color: optional string

Color

offset: optional object { x, y }

Offset

x: number
minimum-1
maximum1
y: number
minimum-1
maximum1
rotation: optional object { x, y, z }

Rotation (deg)

x: number
minimum-180
maximum180
y: number
minimum-180
maximum180
z: number
minimum-180
maximum180
scale: optional object { x, y, z }

Scale

x: number
minimum0.1
maximum3
y: number
minimum0.1
maximum3
z: number
minimum0.1
maximum3
shape: optional "cube" or "sphere" or "torus" or 2 more

Shape

One of the following:
"cube"
"sphere"
"torus"
"cone"
"cylinder"
show_background: optional boolean

Include Background

size: optional number

Resolution (longest side)

minimum256
maximum2048
object { action_id, inputs, project_id, 2 more }
action_id: "blur-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { angle, blur_type, bokeh_shape, 15 more }

Action parameters

angle: optional number

Motion Angle (°)

minimum0
maximum360
blur_type: optional "gaussian" or "box" or "motion" or 5 more

Blur Type

One of the following:
"gaussian"
"box"
"motion"
"radial"
"bilateral"
"bokeh"
"tiltshift"
"targetcolor"
bokeh_shape: optional "circle" or "hexagon" or "pentagon"

Bokeh Shape

One of the following:
"circle"
"hexagon"
"pentagon"
brush_hardness: optional number

Brush Hardness

minimum0
maximum1
brush_intensity: optional number

Brush Intensity

minimum0.05
maximum1
brush_size: optional number

Brush Size (px)

minimum4
maximum800
edge_threshold: optional number

Edge Preservation

minimum5
maximum200
erase: optional boolean

Erase

mode: optional "full" or "draw"

Mode

One of the following:
"full"
"draw"
radial_mode: optional "zoom" or "spin"

Radial Mode

One of the following:
"zoom"
"spin"
radial_strength: optional number

Radial Strength

minimum0.01
maximum1
radius: optional number

Radius

minimum0
maximum100
target_color: optional string

Target Color

target_invert: optional boolean

Invert Selection (blur non-matching)

target_tolerance: optional number

Color Tolerance

minimum1
maximum255
tilt_center: optional number

Sharp Band Center

minimum0
maximum1
tilt_orientation: optional "horizontal" or "vertical"

Band Orientation

One of the following:
"horizontal"
"vertical"
tilt_width: optional number

Sharp Band Width

minimum0.05
maximum1
object { action_id, inputs, project_id, 2 more }
action_id: "change-image-ar-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { aspect_ratio, background_mode, blur_amount, 2 more }

Action parameters

aspect_ratio: optional "1:1" or "16:9" or "9:16" or 5 more

Aspect Ratio

One of the following:
"1:1"
"16:9"
"9:16"
"4:3"
"3:4"
"3:2"
"2:3"
"21:9"
background_mode: optional "solid" or "blur"

Background

One of the following:
"solid"
"blur"
blur_amount: optional number

Blur Amount

minimum4
maximum60
fit: optional "crop" or "pad"

Fit

One of the following:
"crop"
"pad"
pad_color: optional string

Pad Color

object { action_id, inputs, project_id, 2 more }
action_id: "rotate-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { angle, background, canvas_mode, 2 more }

Action parameters

angle: optional number

Angle (°, clockwise)

minimum-360
maximum360
background: optional string

Background Color

canvas_mode: optional "shrink" or "keep" or "expand"

Canvas

One of the following:
"shrink"
"keep"
"expand"
direction: optional "none" or "horizontal" or "vertical" or "both"

Flip

One of the following:
"none"
"horizontal"
"vertical"
"both"
transparent: optional boolean

Transparent Background

object { action_id, inputs, project_id, 2 more }
action_id: "color-filter-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { bw_threshold, colorpop_tolerance, dot_angle, 14 more }

Action parameters

bw_threshold: optional number

Threshold

minimum0
maximum255
colorpop_tolerance: optional number

Color Tolerance

minimum1
maximum255
dot_angle: optional number

Grid Angle (°)

minimum0
maximum90
dot_bg: optional string

Background

dot_color: optional string

Dot Color

dot_size: optional number

Dot Size

minimum3
maximum40
filter: optional "grayscale" or "sepia" or "invert" or 13 more

Filter

One of the following:
"grayscale"
"sepia"
"invert"
"bw"
"posterize"
"solarize"
"duotone"
"clarendon"
"moon"
"nashville"
"noir"
"fade"
"vignette"
"colorpop"
"crossprocess"
"halftone"
grain: optional number

Grain

minimum0
maximum50
highlight_color: optional string

Highlight Color

intensity: optional number

Intensity

minimum0
maximum1
posterize_bits: optional number

Bits per channel

minimum1
maximum8
sepia_warmth: optional number

Warmth

minimum0
maximum2
shadow_color: optional string

Shadow Color

solarize_threshold: optional number

Threshold

minimum0
maximum255
target_color: optional string

Keep Color

vignette_softness: optional number

Vignette Softness

minimum0.05
maximum1
vignette_strength: optional number

Vignette Strength

minimum0
maximum1
object { action_id, inputs, project_id, 2 more }
action_id: "color-tint-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { blend_mode, color, intensity }

Action parameters

blend_mode: optional "multiply" or "screen" or "overlay" or 2 more

Blend Mode

One of the following:
"multiply"
"screen"
"overlay"
"soft_light"
"color"
color: optional string

Tint Color

intensity: optional number

Intensity

minimum0
maximum1
object { action_id, inputs, project_id, 2 more }
action_id: "filter-color-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { invert, mode, replacement_color, 3 more }

Action parameters

invert: optional boolean

Invert Selection

mode: optional "remove" or "replace" or "keep"

Mode

One of the following:
"remove"
"replace"
"keep"
replacement_color: optional string

Replacement Color

softness: optional number

Edge Softness

minimum0
maximum64
target_color: optional string

Target Color

tolerance: optional number

Tolerance

minimum0
maximum255
object { action_id, inputs, project_id, 2 more }
action_id: "duplicate-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { count }

Action parameters

count: optional number

Copies

minimum1
maximum20
object { action_id, inputs, project_id, 2 more }
action_id: "side-by-side-composite-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { background, gap, layout, normalize }

Action parameters

background: optional string

Background

gap: optional number

Gap (px)

minimum0
maximum200
layout: optional "auto" or "horizontal-2" or "horizontal-3" or 3 more

Layout

One of the following:
"auto"
"horizontal-2"
"horizontal-3"
"vertical-2"
"vertical-3"
"grid-2x2"
normalize: optional "match-shortest" or "match-largest" or "pad-to-largest"

Size Match

One of the following:
"match-shortest"
"match-largest"
"pad-to-largest"
object { action_id, inputs, project_id, 2 more }
action_id: "add-shape-to-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { background, center, fill_color, 9 more }

Action parameters

background: optional string

Background Color

center: optional object { x, y }

Center

x: number
minimum0
maximum1
y: number
minimum0
maximum1
fill_color: optional string

Fill Color

fill_opacity: optional number

Fill Opacity

minimum0
maximum1
height: optional number

Height (px)

minimum64
maximum4096
rotation: optional number

Rotation (deg)

minimum-180
maximum180
shape: optional "rectangle" or "ellipse" or "triangle" or 2 more

Shape

One of the following:
"rectangle"
"ellipse"
"triangle"
"star"
"hexagon"
show_background: optional boolean

Include Background

size: optional object { x, y }

Size

x: number
minimum0.01
maximum1
y: number
minimum0.01
maximum1
stroke_color: optional string

Stroke Color

stroke_width: optional number

Stroke Width (px)

minimum0
maximum50
width: optional number

Width (px)

minimum64
maximum4096
object { action_id, inputs, project_id, 2 more }
action_id: "add-text-to-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { background, center, color, 9 more }

Action parameters

background: optional string

Background Color

center: optional object { x, y }

Center

x: number
minimum0
maximum1
y: number
minimum0
maximum1
color: optional string

Text Color

dimensions: optional object { x, y }

Dimensions (px)

x: number
minimum64
maximum4096
y: number
minimum64
maximum4096
font_family: optional "sans" or "sans-bold" or "sans-italic" or 4 more

Font

One of the following:
"sans"
"sans-bold"
"sans-italic"
"serif"
"serif-bold"
"mono"
"mono-bold"
font_size: optional number

Font Size (px)

minimum8
maximum512
max_width: optional number

Max Width (px)

minimum1
maximum4096
opacity: optional number

Opacity

minimum0
maximum1
rotation: optional number

Rotation (deg)

minimum-180
maximum180
shadow: optional boolean

Shadow

show_background: optional boolean

Include Background

text: optional string

Text

object { action_id, inputs, project_id, 2 more }
action_id: "qr-code-generator-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { bg_color, border, error_correction, 2 more }

Action parameters

bg_color: optional string

Background Color

border: optional number

Quiet-Zone Border (modules)

minimum0
maximum20
error_correction: optional "L" or "M" or "Q" or "H"

Error Correction

One of the following:
"L"
"M"
"Q"
"H"
fg_color: optional string

Foreground Color

size: optional number

Size (px)

minimum64
maximum4096
object { action_id, inputs, project_id, 2 more }
action_id: "resize-image-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { bg_color, fit, height, 4 more }

Action parameters

bg_color: optional string

Letterbox Color

fit: optional "contain" or "cover" or "stretch"

Fit

One of the following:
"contain"
"cover"
"stretch"
height: optional number

Height (px)

minimum1
maximum8192
longest: optional number

Longest Side (px)

minimum1
maximum8192
mode: optional "exact" or "percent" or "longest"

Resize by

One of the following:
"exact"
"percent"
"longest"
percent: optional number

Scale (%)

minimum1
maximum400
width: optional number

Width (px)

minimum1
maximum8192
object { action_id, inputs, project_id, 2 more }
action_id: "shader-effect-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { bloom_strength, bloom_threshold, edge_thickness, 8 more }

Action parameters

bloom_strength: optional number

Strength

minimum0
maximum2
bloom_threshold: optional number

Threshold

minimum0
maximum1
edge_thickness: optional number

Thickness

minimum0.5
maximum3
effect: optional "chromatic" or "glitch" or "edges" or 5 more

Effect

One of the following:
"chromatic"
"glitch"
"edges"
"crt"
"ripple"
"kaleidoscope"
"bloom"
"pixelate"
glitch_amount: optional number

Glitch

minimum0
maximum1
intensity: optional number

Intensity

minimum0
maximum1
ripple_amp: optional number

Amplitude

minimum0
maximum0.1
ripple_freq: optional number

Frequency

minimum1
maximum60
scanline_strength: optional number

Scanlines

minimum0
maximum1
segments: optional number

Segments

minimum2
maximum24
shift: optional number

Shift (px)

minimum0
maximum40
object { action_id, inputs, project_id, 2 more }
action_id: "split-text-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { chars_per_part, lines_per_part, max_parts, 4 more }

Action parameters

chars_per_part: optional number

Characters per Part

minimum1
maximum100000
lines_per_part: optional number

Lines per Part

minimum1
maximum1000
max_parts: optional number

Max Parts

minimum1
maximum200
separator: optional string

Separator

skip_empty: optional boolean

Skip Empty Parts

split_mode: optional "separator" or "paragraph" or "lines" or "charCount"

Split Mode

One of the following:
"separator"
"paragraph"
"lines"
"charCount"
trim_parts: optional boolean

Trim Whitespace

object { action_id, inputs, project_id, 2 more }
action_id: "find-and-replace-text-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { case_sensitive, find, replace, 2 more }

Action parameters

case_sensitive: optional boolean

Case Sensitive

find: optional string

Find

replace: optional string

Replace With

replace_all: optional boolean

Replace All Occurrences

whole_word: optional boolean

Whole Word Only

object { action_id, inputs, project_id, 2 more }
action_id: "concat-text-browser"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { add_headers, prefix, separator, 4 more }

Action parameters

add_headers: optional boolean

Add Input Name Headers

prefix: optional string

Prefix

separator: optional string

Separator

skip_empty: optional boolean

Skip Empty Parts

suffix: optional string

Suffix

trim_parts: optional boolean

Trim Each Part

wrap_each_part: optional boolean

Wrap Each Part

object { action_id, inputs, project_id, 2 more }
action_id: "ken-burns-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { duration, easing, fps, 3 more }

Action parameters

duration: optional number

Duration (s)

minimum1
maximum10
easing: optional "linear" or "ease-in" or "ease-out" or "ease-in-out"

Easing

One of the following:
"linear"
"ease-in"
"ease-out"
"ease-in-out"
fps: optional "24" or "30" or "60"

FPS

One of the following:
"24"
"30"
"60"
pan_direction: optional "none" or "left" or "right" or 2 more

Pan

One of the following:
"none"
"left"
"right"
"up"
"down"
zoom: optional number

Zoom Level

minimum1
maximum2
zoom_direction: optional "none" or "in" or "out"

Zoom Direction

One of the following:
"none"
"in"
"out"
object { action_id, inputs, project_id, 2 more }
action_id: "stitch-videos"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { aspect_ratio, background_color, background_mode, 4 more }

Action parameters

aspect_ratio: optional "auto" or "21:9" or "16:9" or 9 more

Output Aspect Ratio

One of the following:
"auto"
"21:9"
"16:9"
"3:2"
"4:3"
"5:4"
"1:1"
"4:5"
"3:4"
"2:3"
"9:16"
"9:21"
background_color: optional string

Background Color

background_mode: optional "solid" or "blur"

Background Mode

One of the following:
"solid"
"blur"
blur_amount: optional number

Blur Amount

minimum4
maximum60
fit_mode: optional "contain" or "cover"

Fit Mode

One of the following:
"contain"
"cover"
transition: optional "none" or "fade" or "wipeleft" or "wiperight"

Transition

One of the following:
"none"
"fade"
"wipeleft"
"wiperight"
transition_duration: optional number

Transition Duration (s)

minimum0.1
maximum3
object { action_id, inputs, project_id, 2 more }
action_id: "split-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { scene_sensitivity, segment_duration, segments, 3 more }

Action parameters

scene_sensitivity: optional number

Scene Sensitivity

minimum0.05
maximum0.8
segment_duration: optional number

Segment Duration (s)

minimum0.5
maximum120
segments: optional number

Number of Segments

minimum2
maximum10
split_mode: optional "equal" or "duration" or "scene"

Split Mode

One of the following:
"equal"
"duration"
"scene"
strip_audio: optional boolean

Strip Audio

trim_handles: optional number

Trim Handles (s)

minimum-2
maximum2
object { action_id, inputs, project_id, 2 more }
action_id: "extract-video-frames"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { every_seconds, frame_count, mode, 3 more }

Action parameters

every_seconds: optional number

Every (s)

minimum0.25
maximum60
frame_count: optional number

Frame Count

minimum1
maximum24
mode: optional "single" or "evenly" or "interval" or "scene"

Frames

One of the following:
"single"
"evenly"
"interval"
"scene"
range: optional object { max, min }

Video Range (%)

max: number
maximum100
min: number
minimum0
scene_sensitivity: optional number

Scene Sensitivity

minimum0.05
maximum0.8
time_percent: optional number

Time (%)

minimum0
maximum100
object { action_id, inputs, project_id, 2 more }
action_id: "color-grade-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { brightness, contrast, gamma, saturation }

Action parameters

brightness: optional number

Brightness

minimum-0.3
maximum0.3
contrast: optional number

Contrast

minimum0.5
maximum2
gamma: optional number

Gamma

minimum0.5
maximum2
saturation: optional number

Saturation

minimum0
maximum2
object { action_id, inputs, project_id, 2 more }
action_id: "video-to-frame-grid"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { background, cell_width, cols, 2 more }

Action parameters

background: optional string

Background Color

cell_width: optional number

Cell Width (px)

minimum64
maximum1024
cols: optional number

Columns

minimum1
maximum10
gap: optional number

Gap Between Cells (px)

minimum0
maximum64
rows: optional number

Rows

minimum1
maximum10
object { action_id, inputs, project_id, 2 more }
action_id: "boomerang-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { include_audio, speed }

Action parameters

include_audio: optional boolean

Include Audio

speed: optional number

Speed

minimum0.5
maximum4
object { action_id, inputs, project_id, 2 more }
action_id: "reverse-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { audio_mode }

Action parameters

audio_mode: optional "strip" or "reverse" or "keep"

Audio

One of the following:
"strip"
"reverse"
"keep"
object { action_id, inputs, project_id, 2 more }
action_id: "video-to-long-exposure"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { blend_mode, frame_stride, max_frames }

Action parameters

blend_mode: optional "average" or "lighten" or "darken"

Blend Mode

One of the following:
"average"
"lighten"
"darken"
frame_stride: optional number

Frame Stride (sample every N frames)

minimum1
maximum30
max_frames: optional number

Max Frames to Sample

minimum10
maximum2000
object { action_id, inputs, project_id, 2 more }
action_id: "video-effect"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { chromatic_offset, effect, grain_strength, 3 more }

Action parameters

chromatic_offset: optional number

Channel Offset (px)

minimum1
maximum30
effect: optional "vignette" or "grain" or "pixelate" or 3 more

Effect

One of the following:
"vignette"
"grain"
"pixelate"
"shake"
"chromatic"
"vhs"
grain_strength: optional number

Grain Strength

minimum0
maximum80
pixel_block_size: optional number

Block Size (px)

minimum2
maximum96
shake_amount: optional number

Shake Amount (px)

minimum1
maximum64
vignette_angle: optional number

Vignette Falloff

minimum0.1
maximum1.4
object { action_id, inputs, project_id, 2 more }
action_id: "color-filter-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { bw_threshold, filter, grain, 2 more }

Action parameters

bw_threshold: optional number

B&W Threshold

minimum0
maximum255
filter: optional "grayscale" or "sepia" or "invert" or 9 more

Filter

One of the following:
"grayscale"
"sepia"
"invert"
"bw"
"posterize"
"solarize"
"clarendon"
"moon"
"nashville"
"noir"
"fade"
"crossprocess"
grain: optional number

Grain

minimum0
maximum50
posterize_bits: optional number

Posterize Bits

minimum1
maximum8
solarize_threshold: optional number

Solarize Threshold

minimum0
maximum255
object { action_id, inputs, project_id, 2 more }
action_id: "speed-up-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { factor, keep_audio }

Action parameters

factor: optional number

Speed Factor (x)

minimum1.25
maximum10
keep_audio: optional boolean

Keep Audio (pitch-preserved)

object { action_id, inputs, project_id, 2 more }
action_id: "slow-down-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { factor, keep_audio, smoothing }

Action parameters

factor: optional number

Slow Factor (x)

minimum1.25
maximum6
keep_audio: optional boolean

Keep Audio (pitch-preserved)

smoothing: optional "off" or "blend" or "motion"

Smoothing

One of the following:
"off"
"blend"
"motion"
object { action_id, inputs, project_id, 2 more }
action_id: "duplicate-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { count }

Action parameters

count: optional number

Copies

minimum1
maximum10
object { action_id, inputs, project_id, 2 more }
action_id: "greenscreen-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { blend, color_preset, custom_color, 2 more }

Action parameters

blend: optional number

Edge Blend (softness)

minimum0
maximum0.5
color_preset: optional "green" or "blue" or "custom"

Background Preset

One of the following:
"green"
"blue"
"custom"
custom_color: optional string

Custom Background Color

similarity: optional number

Similarity (how close to key color counts)

minimum0.01
maximum0.5
spill: optional boolean

Spill Suppression

object { action_id, inputs, project_id, 2 more }
action_id: "resize-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { custom_resolution, resolution }

Action parameters

custom_resolution: optional number

Custom Resolution (px)

minimum144
maximum2160
resolution: optional "240" or "360" or "480" or 6 more

Resolution

One of the following:
"240"
"360"
"480"
"540"
"720"
"1080"
"1440"
"2160"
"custom"
object { action_id, inputs, project_id, 2 more }
action_id: "change-video-ar"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { aspect_ratio, background_mode, blur_amount, 2 more }

Action parameters

aspect_ratio: optional "1:1" or "16:9" or "9:16" or 5 more

Aspect Ratio

One of the following:
"1:1"
"16:9"
"9:16"
"4:3"
"3:4"
"3:2"
"2:3"
"21:9"
background_mode: optional "solid" or "blur"

Background

One of the following:
"solid"
"blur"
blur_amount: optional number

Blur Amount

minimum4
maximum60
fit: optional "crop" or "pad"

Fit

One of the following:
"crop"
"pad"
pad_color: optional string

Pad Color

object { action_id, inputs, project_id, 2 more }
action_id: "split-audio-from-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { audio_format }

Action parameters

audio_format: optional "auto" or "m4a" or "mp3" or "wav"

Audio Format

One of the following:
"auto"
"m4a"
"mp3"
"wav"
object { action_id, inputs, project_id, 2 more }
action_id: "merge-audio-into-video"
inputs: array of object { type, name, text, url }

Action inputs. Direct action runs are headless and read inputs from URLs/text rather than canvas edges.

type: "image" or "video" or "audio" or "text"

Action input type

One of the following:
"image"
"video"
"audio"
"text"
name: optional string

Optional input name

text: optional string

Input text value

url: optional string

Input media URL

formaturi
project_id: string

Project identifier. Use the public API ID returned by list projects; it must start with prj_. Used for ownership, billing, and run history. Direct action runs do not mutate the project canvas.

workspace_id: string

Workspace identifier. Use the public API ID returned by list workspaces; it must start with ws_.

params: optional object { duration }

Action parameters

duration: optional "shortest" or "video" or "audio"

Duration

One of the following:
"shortest"
"video"
"audio"
ReturnsExpand Collapse
charged_cost: number

Cost charged in USD

minimum0
estimated_seconds: number
minimum0
run_id: string

Run identifier

type: "generation" or "technique" or "action"

Run type

One of the following:
"generation"
"technique"
"action"
action: optional object { action_id }
action_id: "color-grade-image-browser" or "overlay-image-browser" or "draw-image-browser" or 37 more

Action identifier

One of the following:
"color-grade-image-browser"
"overlay-image-browser"
"draw-image-browser"
"crop-image-browser"
"scene-3d-image-browser"
"blur-image-browser"
"change-image-ar-browser"
"rotate-image-browser"
"color-filter-image-browser"
"color-tint-image-browser"
"filter-color-image-browser"
"duplicate-image-browser"
"side-by-side-composite-browser"
"add-shape-to-image-browser"
"add-text-to-image-browser"
"qr-code-generator-browser"
"resize-image-browser"
"shader-effect-browser"
"split-text-browser"
"find-and-replace-text-browser"
"concat-text-browser"
"ken-burns-video"
"stitch-videos"
"split-video"
"extract-video-frames"
"color-grade-video"
"video-to-frame-grid"
"boomerang-video"
"reverse-video"
"video-to-long-exposure"
"video-effect"
"color-filter-video"
"speed-up-video"
"slow-down-video"
"duplicate-video"
"greenscreen-video"
"resize-video"
"change-video-ar"
"split-audio-from-video"
"merge-audio-into-video"
model: optional object { model_id }
model_id: string

Model identifier

minLength1
poll_url: optional string

URL to poll pending/running runs or fetch completed/failed run details.

formaturi
project_id: optional string

Project identifier

technique: optional object { name, technique_id }
name: string

Technique name

technique_id: string

Technique identifier

Start an action run

curl https://app.flora.ai/api/v1/runs/action \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FLORA_API_KEY" \
    -d '{
          "action_id": "color-grade-image-browser",
          "inputs": [
            {
              "type": "image"
            }
          ],
          "project_id": "prj_abc123",
          "workspace_id": "ws_abc123"
        }'
{
  "charged_cost": 0,
  "estimated_seconds": 0,
  "run_id": "run_abc123",
  "type": "generation",
  "action": {
    "action_id": "color-grade-image-browser"
  },
  "model": {
    "model_id": "t2i-flux-2-pro"
  },
  "poll_url": "https://example.com",
  "project_id": "prj_abc123",
  "technique": {
    "name": "name",
    "technique_id": "tech_abcd1234"
  }
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}
Returns Examples
{
  "charged_cost": 0,
  "estimated_seconds": 0,
  "run_id": "run_abc123",
  "type": "generation",
  "action": {
    "action_id": "color-grade-image-browser"
  },
  "model": {
    "model_id": "t2i-flux-2-pro"
  },
  "poll_url": "https://example.com",
  "project_id": "prj_abc123",
  "technique": {
    "name": "name",
    "technique_id": "tech_abcd1234"
  }
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}